%%%
%%%JSME technical journal class file 
%%%
%%2006/01/05 DOI
\NeedsTeXFormat{LaTeX2e}
%%\ProvidesClass{jsme-ej}[2005/12/02 ver.0.1b Sanbi Printing TeX Group]
%%\ProvidesClass{jsme-ej}[2006/01/05 ver.0.1b Sanbi Printing TeX Group]
%%\ProvidesClass{jsme-ej}[2006/04/12 ver.0.2b Sanbi Printing TeX Group]
%%\ProvidesClass{jsme-ej}[2006/05/17 ver.0.3b Sanbi Printing TeX Group]
%%%change ``Appendix'' for 05-0001(2006/05/17)
%%\ProvidesClass{jsme-tj}[2006/06/28 ver.1.4b Sanbi Printing TeX Group]
%%\ProvidesClass{jsme-tj}[2006/08/10 ver.1.41b Sanbi Printing TeX Group]
%%%\ProvidesClass{jsme-tj}[2006/10/12 ver.1.5b Sanbi Printing TeX Group]
%%\ProvidesClass{jsme-tj}[2006/11/21 ver.1.51b Sanbi Printing TeX Group]
%%\ProvidesClass{jsme-tj}[2006/12/25 ver.1.52b Sanbi Printing TeX Group]
%%\ProvidesClass{jsme-tj}[2007/01/17 ver.1.53b Sanbi Printing TeX Group]
%%\ProvidesClass{jsme-tj}[2007/01/29 ver.1.54b Sanbi Printing TeX Group]
%%\ProvidesClass{jsme-tj}[2007/03/27 ver.1.55b Sanbi Printing TeX Group]
%%\ProvidesClass{jsme-tj}[2007/03/28 ver.1.56b Sanbi Printing TeX Group]
%%\ProvidesClass{jsme-tj}[2007/05/07 ver.1.6 Sanbi Printing TeX Group]
%%\ProvidesClass{jsme-tj}[2007/08/02 ver.1.7b Sanbi Printing TeX Group]
%%\ProvidesClass{jsme-tj}[2007/08/16 ver.1.7 Sanbi Printing TeX Group]
%\ProvidesClass{jsme-tj}[2007/08/24 ver.1.8 Sanbi Printing TeX Group]
%\ProvidesClass{jsme-tj}[2011/07/11 ver.2.1x Sanbi Printing TeX Group]
\ProvidesClass{jsme-tj}[2013/08/08 ver.3.1 Showa-johoprocess]
%%change  color of section and title for thermal is changed (same as fluid)
%%change: include addon.sty (\section* and title of thebibliography)
%%change: add code for biomechanics
%%change: add code for environment
%%change: add code for Materials
%%change: add code for amdsm
%%change: add code for system
%%change: add code for power
%%change: add code for submit mode
%%change: update code for system
%%change: add code for exchange the name of journal to field
%%change: Typo. June. -> June
%%change: Modification for AmSMath
%%change: Journal name is changed, jmmp to jsmme.
%%        For compatibility, jmmp is not deleted and jsmme is add.
%%change: Add 1 to year if journal is ``jsmme''.
%%        Vol.1 of jsmme is corresponding to ``2007''
%%change: DOI of jsmme -> jmmp (DOI is not changed!!) 2006/10/17
%%change: Add optional argument to ``\received'' for some comments 2006/11/21
%%change: Add 1 to year if journal is ``jsdd''.
%%        Vol.1 of jsdd is corresponding to ``2007'' 2006/11/21
%%change: \eqref is modified. 2006/11/21
%%change: color of ``power'' fixed 2006/12/25
%%change: color of ``amdsm'' fixed 2006/12/25
%%change: jsmme: title page change: 2007/01/17 
%%        Journal of Solid Mechanics \\ and Materials \\ Engineering
%%change: Add 1 to year if journal is ``jamdsm''.
%%        Vol.1 of jamdsm is corresponding to ``2007'' 2007/01/29
%%change: Catch error ``Too many affiliate'' 2007/03/27
%%change: Warning to equation number in Appendix 2007/03/29
%%change: add jcst! 2007/05/07
%%change: modified: eqnarray and so on, for ams 2007/05/07
%%change: add jmtl/jse only for author mode 2007/08/02 (desgin for publication is not prepared!)
%%change: add jmtl/jse for publication 2007/08/16
%%change: change page header for Nontitle page: jamdsm/jsdd
%%change: change vol/no/date to dummy letters when submitting 2011/07/11
%%change: removed: \DeclareRobustCommand{\,}{\thinspace} 2022/01/04
\newif\ifpublish
\newif\ifams
\newif\ifnotx

\DeclareOption{publish}{\publishtrue}
\DeclareOption{submit}{\publishfalse}

\DeclareOption{ams}{\amstrue}
\DeclareOption{noams}{\amsfalse}


\DeclareOption{notx}{\notxtrue}

\newif\ifPOFPOT
\DeclareOption{POFPOT}{\POFPOTtrue}
\DeclareOption{noPOFPOT}{\POFPOTfalse}


\ExecuteOptions{submit,noams}
\ProcessOptions


%%package
\RequirePackage[dvips]{graphicx}
\RequirePackage{multicol}%%%for nomenclature

%%configuration
\InputIfFileExists{jsme-tj.cfg}{}{}


\ifpublish
   \RequirePackage[dvips]{pstcol}
   \RequirePackage{pst-node}
\else
   \usepackage[dvips]{color}
   \def\pnode(#1,#2)#3{\relax}
   \let\SpecialCoor\relax
   \def\psline{\@ifnextchar [{\@psline}{\@psline[]}}
   \def\@psline[#1](#2){\@ifnextchar({\@@psline[#1](#2)}{\relax}}
   \def\@@psline[#1](#2)(#3){\@@@psline[#1](#2)(#3)\@psline[#1](#3)}
   \def\@@@psline[#1](#2)(#3){\@empty}
\fi


\ifams
   \RequirePackage[fleqn]{amsmath}
%%%%%%
\allowdisplaybreaks
%%%%%change 2006/11/21 
\def\org@eqnnum@form#1{\maketag@@@{(\ignorespaces#1\unskip\@@italiccorr)}}
%%\def\eqnnum@form#1{{\normalfont \normalcolor (#1)\hbox to4em{}}}
\def\eqnnum@form#1{\maketag@@@{(\ignorespaces#1\unskip\@@italiccorr)\hspace*{4em}}}
\def\tagform@{\eqnnum@form}
\def\org@tagform@{\org@eqnnum@form}
\renewcommand{\eqref}[1]{\textup{\org@tagform@{\ref{#1}}}}
%%%%%%
\fi
\ifnotx
%%  \RequirePackage{type1cm}
\else
   \RequirePackage[varg]{txfonts}
\fi



%%%Paper A4 (210mm, 297mm)
\paperwidth210mm
\paperheight297mm

%%textarea 170mm 247mm%%
\textwidth170mm%%
\textheight247mm%%

%%Position of textarea
\oddsidemargin20mm\advance\oddsidemargin-1in
\evensidemargin\oddsidemargin

\topmargin-1in
\advance\topmargin35pt
\headheight12pt
\headsep37pt
\footskip27pt
\topskip-0pt

%%%%normalsize
\def\normalsize{%
   \@setfontsize\normalsize\@xpt{13.5pt}%
   \abovedisplayskip 10\p@ \@plus2\p@ \@minus5\p@
   \abovedisplayshortskip \z@ \@plus3\p@
   \belowdisplayshortskip 6\p@ \@plus3\p@ \@minus3\p@
   \belowdisplayskip \abovedisplayskip
   \let\@listi\@listI}%
\normalsize

\newdimen\normal@baselineskip
\normal@baselineskip13.5pt

%%%Some preferences depending on \normalsize

\setlength\smallskipamount{3\p@ \@plus 1\p@ \@minus 1\p@}
\setlength\medskipamount{6\p@ \@plus 2\p@ \@minus 2\p@}
\setlength\bigskipamount{12\p@ \@plus 4\p@ \@minus 4\p@}


\setlength\footnotesep{6.65\p@}
\setlength{\skip\footins}{9\p@ \@plus 4\p@ \@minus 2\p@}
\setlength\floatsep    {12\p@ \@plus 2\p@ \@minus 2\p@}
\setlength\textfloatsep{20\p@ \@plus 2\p@ \@minus 4\p@}
\setlength\intextsep   {12\p@ \@plus 2\p@ \@minus 2\p@}
\setlength\dblfloatsep    {12\p@ \@plus 2\p@ \@minus 2\p@}
\setlength\dbltextfloatsep{20\p@ \@plus 2\p@ \@minus 4\p@}
\setlength\@fptop{0\p@ \@plus 1fil}
\setlength\@fpsep{8\p@ \@plus 2fil}
\setlength\@fpbot{0\p@ \@plus 1fil}
\setlength\@dblfptop{0\p@ \@plus 1fil}
\setlength\@dblfpsep{8\p@ \@plus 2fil}
\setlength\@dblfpbot{0\p@ \@plus 1fil}
\setlength\partopsep{2\p@ \@plus 1\p@ \@minus 1\p@}
\def\@listi{\leftmargin\leftmargini
            \parsep 4\p@ \@plus2\p@ \@minus\p@
            \topsep 8\p@ \@plus2\p@ \@minus4\p@
            \itemsep4\p@ \@plus2\p@ \@minus\p@}
\let\@listI\@listi
\@listi
\def\@listii {\leftmargin\leftmarginii
              \labelwidth\leftmarginii
              \advance\labelwidth-\labelsep
              \topsep    4\p@ \@plus2\p@ \@minus\p@
              \parsep    2\p@ \@plus\p@  \@minus\p@
              \itemsep   \parsep}
\def\@listiii{\leftmargin\leftmarginiii
              \labelwidth\leftmarginiii
              \advance\labelwidth-\labelsep
              \topsep    2\p@ \@plus\p@\@minus\p@
              \parsep    \z@
              \partopsep \p@ \@plus\z@ \@minus\p@
              \itemsep   \topsep}
\def\@listiv {\leftmargin\leftmarginiv
              \labelwidth\leftmarginiv
              \advance\labelwidth-\labelsep}
\def\@listv  {\leftmargin\leftmarginv
              \labelwidth\leftmarginv
              \advance\labelwidth-\labelsep}
\def\@listvi {\leftmargin\leftmarginvi
              \labelwidth\leftmarginvi
              \advance\labelwidth-\labelsep}

% footnotesize
\newcommand{\footnotesize}{\relax}

%%%%%%%Some Preferences 
\setlength\lineskip{1\p@}
\setlength\normallineskip{1\p@}
\renewcommand\baselinestretch{}
\setlength\parskip{0\p@ \@plus \p@}
\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301
\setcounter{topnumber}{2}
\renewcommand\topfraction{.7}
\setcounter{bottomnumber}{1}
\renewcommand\bottomfraction{.3}
\setcounter{totalnumber}{3}
\renewcommand\textfraction{.2}
\renewcommand\floatpagefraction{.5}
\setcounter{dbltopnumber}{2}
\renewcommand\dbltopfraction{.7}
\renewcommand\dblfloatpagefraction{.5}

\def\obi@title{\unitlength\p@\makebox(159.59624,440.64624){}}
\def\obi@normal{\unitlength\p@\makebox(159.59624,440.64624){}}

%%%BBox 198 109 397 733
\ifpublish
   \def\obi@title{\unitlength\p@
                   \makebox(159.59624,440.64624)[tl]{%
                      \includegraphics{\@field1.eps}}}
   \def\obi@normal{\unitlength\p@
                   \makebox(159.59624,440.64624)[tl]{%
                      \includegraphics{\@field2.eps}}}
\fi


%%%dimensions for titlepage
\newdimen\obi@ypos
\newdimen\titleobi@x
%%\setbox\z@=\hbox{\obi@title}%
\setbox\z@=\hbox{\unitlength\p@\makebox(159.59624,440.64624){}}%
\obi@ypos\ht\z@
\titleobi@x\wd\z@
\advance\obi@ypos\z@
\advance\obi@ypos-\headheight
\advance\obi@ypos-\topmargin
\advance\obi@ypos-1in%%driver margin

\newdimen\right@margin
\right@margin\paperwidth\relax
\advance\right@margin-\oddsidemargin\relax
\advance\right@margin-1in
\advance\right@margin-\textwidth\relax
\advance\right@margin-\fboxsep
%\advance\right@margin-\fboxrule

%%%%%%%%%%%%%%%
\ifpublish
\DeclareFontFamily{OT1}{pun}{}
\DeclareFontShape{OT1}{pun}{ebl}{ob}{<-> punxo7t}{}%%Univers-ExtraBlackObl
\DeclareFontShape{OT1}{pun}{cb}{ob}{<-> punbo7tc}{}%%Univers-CondensedBoldOblique
\DeclareFontShape{OT1}{pun}{c}{n}{<-> punr7tc}{}%%Univers-Condensed
\DeclareFontShape{OT1}{pun}{cb}{n}{<-> punb7tc}{}%%Univers-CondensedBold
\DeclareFontFamily{OT1}{ptm}{}
\DeclareFontShape{OT1}{ptm}{sb}{n}{<-> ptms7t}{}%%Times-Semibold
\DeclareFontShape{OT1}{ptm}{sb}{it}{<-> ptmsi7t}{}%%Times-SemiboldItalic
\DeclareFontShape{OT1}{ptm}{bx}{n}{<-> ptmb7t}{}
\DeclareFontShape{OT1}{ptm}{bx}{it}{<-> ptmbi7t}{}
\else
\DeclareFontFamily{OT1}{pun}{}
\DeclareFontShape{OT1}{pun}{ebl}{ob}{<-> phvbo7t}{}%%Helvetica-BoldOblique
\DeclareFontShape{OT1}{pun}{cb}{ob}{<-> phvro7tn}{}%%Helvetica-Condensed-Oblique
\DeclareFontShape{OT1}{pun}{c}{n}{<-> phvr7tn}{}%%Helvetica-Condensed
\DeclareFontShape{OT1}{pun}{cb}{n}{<-> phvb7tn}{}%%Helvetica-CondensedBold
\DeclareFontFamily{OT1}{ptm}{}
\DeclareFontShape{OT1}{ptm}{sb}{n}{<-> ptmb7t}{}%%Times-Semibold
\DeclareFontShape{OT1}{ptm}{sb}{it}{<-> ptmbi7t}{}%%Times-SemiboldItalic
\DeclareFontShape{OT1}{ptm}{bx}{n}{<-> ptmb7t}{}
\DeclareFontShape{OT1}{ptm}{bx}{it}{<-> ptmbi7t}{}
\fi


\def\titlepage@ejname@font@size{%
   \fontsize{20pt}{20pt}\usefont{OT1}{pun}{ebl}{ob}}

\def\normalpage@ejname@font@size{%
   \fontsize{11pt}{12pt}\usefont{OT1}{pun}{ebl}{ob}}

\def\titlepage@fieldname@font@size{%
   \fontsize{10pt}{14pt}\usefont{OT1}{pun}{cb}{ob}}

\def\titlepage@volnum@font@size{%
   \fontsize{8pt}{\z@}\usefont{OT1}{pun}{c}{n}}

\def\titlepage@affiliate@font@size{%
   \fontsize{8pt}{12pt}\usefont{OT1}{phv}{m}{n}}

\def\nombre@font@size{%
   \fontsize{9pt}{\z@}\usefont{OT1}{pun}{cb}{n}}

\def\bibdata@font{%
 \fontsize{8.2pt}{10pt}\usefont{OT1}{pun}{c}{n}}

\def\abstractkey@head@font{%
 \fontsize{10pt}{13.5pt}\usefont{OT1}{ptm}{sb}{n}%
}

\def\font@author{\normalfont\fontsize{11pt}{13.5pt}\selectfont}

\def\section@font{\fontsize{11pt}{13.5pt}\usefont{OT1}{ptm}{bx}{n}}

\def\subsection@font{\normalsize\usefont{OT1}{ptm}{sb}{n}}

\def\subsubsection@font{\normalsize\usefont{OT1}{ptm}{sb}{n}}

\def\paragraph@font{\normalsize\usefont{OT1}{ptm}{sb}{n}}


\def\num@thermal{0}
\def\num@fluid{1}
\def\num@bio{2}%%add 2006/06/16
\def\num@env{3}%%add 2006/06/16
\def\num@material{4}%%add 2006/06/16
\def\num@system{5}%%add 2006/06/16
\def\num@power{6}%%add 2006/06/16
\def\num@amdsm{7}%%add 2006/06/16

\def\num@comput{8}%%add 2007/04/24

\def\num@trans{9}%%add 2007/08/02
\def\num@space{10}%%add 2007/08/02

\def\num@xxx{100}%%

\def\DOI@thermal{10.1299/jtst.\@vol.\thepage}
\def\DOI@fluid{10.1299/jfst.\@vol.\thepage}
\def\DOI@bio{10.1299/jbse.\@vol.\thepage}%%add 2006/06/16
\def\DOI@env{10.1299/jee.\@vol.\thepage}%%add 2006/06/16
%%\def\DOI@material{10.1299/jmmp.\@vol.\thepage}%%add 2006/06/16
%%\def\DOI@material{10.1299/jsmme.\@vol.\thepage}%%changed 2006/10/12
\def\DOI@material{10.1299/jmmp.\@vol.\thepage}%%changed 2006/10/17
\def\DOI@system{10.1299/jsdd.\@vol.\thepage}%%add 2006/06/16
\def\DOI@power{10.1299/jpes.\@vol.\thepage}%%add 2006/06/16
\def\DOI@amdsm{10.1299/jamdsm.\@vol.\thepage}%%add 2006/06/16

\def\DOI@comput{10.1299/jcst.\@vol.\thepage}%%add 2007/04/24

\def\DOI@trans{10.1299/jmtl.\@vol.\thepage}%%add 2008/08/02
%%\def\DOI@space{10.1299/jse.\@vol.\thepage}%%add 2007/08/02
\def\DOI@space{10.1299/spacee.\@vol.\thepage}%%changed 2007/08/16


\def\DOI@xxx{10.1299/XXX.\@vol.\thepage}%%add

\AtBeginDocument{%
\expandafter\ifcase\csname num@\@field\endcsname
%%%Thermal%%0
%%\definecolor{volnumbox@color}{cmyk}{0, .15, .2, 0}%
%%\definecolor{headerline@color}{cmyk}{0, .7, .9, 0}%
%%\definecolor{nombrebox@color}{cmyk}{0, .8, .5, 0}%
%%\definecolor{bibdatabox@up@border@color}{cmyk}{0, .8, .5, 0}%
%%\definecolor{bibdatabox@color}{cmyk}{0, .1, .05, 0}%
%%\definecolor{abstractbox@color}{cmyk}{0, 0, .1, 0}%
%%\definecolor{section@color}{cmyk}{1, .7, .0, 0}%
%%\definecolor{headcolor}{cmyk}{1, .7, 0, 0}%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\definecolor{volnumbox@color}{rgb}{.9216, .6000, .7647}%235 153 195
\definecolor{headerline@color}{rgb}{.8000, 0, .4117}%204 0 105 
\definecolor{nombrebox@color}{rgb}{.8000, 0, .4117}%204 0 105
\definecolor{bibdatabox@up@border@color}{rgb}{.8000, 0, .4117}%204 0 105
\definecolor{bibdatabox@color}{rgb}{1, .8000, .8000}%255 204 204
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%Journal name in header for thermal
\def\thermal@titlepage{%
         \raisebox{0pt}[0pt][0pt]{\vtop{\parindent0pt 
               \titlepage@ejname@font@size
               \pnode(0,-.5mm){A}%
               Journal of~Thermal\hskip2mm\pnode(0,-.5mm){B}\pnode(0,1.5mm){C}\par
               Science and \par 
               Technology
               }}%
}%
\def\thermal@normalpage{%
         \raisebox{0pt}[0pt][0pt]{\vtop{\parindent0pt 
               \normalpage@ejname@font@size
               \pnode(0,-.5mm){A}%
               Journal of Thermal\hskip2mm\pnode(0,-.5mm){B}\pnode(0,1.5mm){C}\par%
               Science and Technology
               }}%
}%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%\definecolor{volnumbox@color}{rgb}{.9922, .6000, .7647}%
%%%\definecolor{bibdatabox@up@border@color}{rgb}{0, .2867, .5647}%
%%\definecolor{bibdatabox@color}{rgb}{.9686, .8980, .9098}%
%%%\definecolor{abstractbox@color}{rgb}{.9686, .8980, .9098}%
%%%\definecolor{section@color}{rgb}{0, .2863, .5647}%
%%%\definecolor{headcolor}{rgb}{0, .2863, .5647}%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\or
%%Fluid%%%1
%\definecolor{volnumbox@color}{cmyk}{.3, .2, 0, 0}%
%\definecolor{headerline@color}{cmyk}{1, .6, 0, 0}%
%\definecolor{nombrebox@color}{cmyk}{1, .6, 0, 0}%
%\definecolor{bibdatabox@color}{cmyk}{.15, .1, 0, 0}%
%\definecolor{bibdatabox@up@border@color}{cmyk}{1, .6, 0, 0}%
%\definecolor{abstractbox@color}{cmyk}{0, 0, .1, 0}%
%\definecolor{section@color}{cmyk}{.3, 1, .5, 0}%
%\definecolor{headcolor}{cmyk}{.3, 1, .5, 0}%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\definecolor{volnumbox@color}{rgb}{.7412, .7647, .8863}%189 195 226
\definecolor{headerline@color}{rgb}{.0235, .3608, .6588}%6 92 168
\definecolor{nombrebox@color}{rgb}{.0235, .3608, .6588}%6 92 168
\definecolor{bibdatabox@color}{rgb}{.8745, .8863, .9451}%223 226 241 
\definecolor{bibdatabox@up@border@color}{rgb}{.0235, .3608, .6588}%6 92 168
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%Journal name in header for fluid
\def\fluid@titlepage{%
         \raisebox{0pt}[0pt][0pt]{\vtop{\parindent0pt 
               \titlepage@ejname@font@size
               \pnode(0,-.5mm){A}%
               Journal of~Fluid\hskip2mm\pnode(0,-.5mm){B}\pnode(0,1.5mm){C}\par
               Science and \par 
               Technology
               }}%
}%
\def\fluid@normalpage{%
         \raisebox{0pt}[0pt][0pt]{\vtop{\parindent0pt 
               \normalpage@ejname@font@size
               \pnode(0,-.5mm){A}%
               Journal of Fluid\hskip2mm\pnode(0,-.5mm){B}\pnode(0,1.5mm){C}\par%
               Science and Technology
               }}%
}%
%%%\definecolor{abstractbox@color}{rgb}{1, .9961, .9333}%
%%%\definecolor{section@color}{rgb}{.6157, .09801, .3255}%
%%%\definecolor{headcolor}{rgb}{.6157, .09801, .3255}%
\or
%%%bio%%2
\definecolor{volnumbox@color}{rgb}{1, .8902, .2471}%255 227 63
\definecolor{headerline@color}{rgb}{.6824, .5059, 0}%174 129 0
\definecolor{nombrebox@color}{rgb}{1, .7922, 0}%255 202 0
\definecolor{bibdatabox@color}{rgb}{1, .9569, .7333}%255 244 187
\definecolor{bibdatabox@up@border@color}{rgb}{.6824, .5059, 0}%174 129 0
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%Journal name in header for bio
\def\bio@titlepage{%
         \raisebox{0pt}[0pt][0pt]{\vtop{\parindent0pt 
               \titlepage@ejname@font@size
               \pnode(0,-.5mm){A}%
               Journal of~Biomechanical\hskip2mm\pnode(0,-.5mm){B}\pnode(0,1.5mm){C}\par
               Science and \par 
               Engineering
               }}%
}%
\def\bio@normalpage{%
         \raisebox{0pt}[0pt][0pt]{\vtop{\parindent0pt 
               \normalpage@ejname@font@size
               \pnode(0,-.5mm){A}%
               Journal of Biomechanical\hskip2mm\pnode(0,-.5mm){B}\pnode(0,1.5mm){C}\par%
               Science and  Engineering
               }}%
}%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\or
%%%env%%3
\definecolor{volnumbox@color}{rgb}{.6980, .8235, .6118}%178 210 156
\definecolor{headerline@color}{rgb}{.3490, .6510, .2314}%89 166 59
\definecolor{nombrebox@color}{rgb}{.3490, .6510, .2314}%89 166 59
\definecolor{bibdatabox@color}{rgb}{.8824, .9294, .8353}%225 237 213
\definecolor{bibdatabox@up@border@color}{rgb}{.3490, .6510, .2314}%89 166 59
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%Journal name in header for env
\def\env@titlepage{%
         \raisebox{0pt}[0pt][0pt]{\vtop{\parindent0pt 
               \titlepage@ejname@font@size
               \pnode(0,-.5mm){A}%
               Journal of~Environment\hskip2mm\pnode(0,-.5mm){B}\pnode(0,1.5mm){C}\par
               and Engineering
               }}%
}%
\def\env@normalpage{%
         \raisebox{0pt}[0pt][0pt]{\vtop{\parindent0pt 
               \normalpage@ejname@font@size
               \pnode(0,-.5mm){A}%
               Journal of Environment\hskip2mm\pnode(0,-.5mm){B}\pnode(0,1.5mm){C}\par%
               and Engineering
               }}%
}%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\or
%%%material%%4
\definecolor{volnumbox@color}{rgb}{.8627, .8784, .5098}%220 224 130
\definecolor{headerline@color}{rgb}{.6118, .7333, 0}%156 187 0
\definecolor{nombrebox@color}{rgb}{.7686, .8039, .0667}%196 205 17
\definecolor{bibdatabox@color}{rgb}{.9333, .9373, .7490}%238 239 191 
\definecolor{bibdatabox@up@border@color}{rgb}{.6118, .7333, 0}%156 187 0
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%Journal name in header for material
\def\material@titlepage{%
         \raisebox{0pt}[0pt][0pt]{\vtop{\parindent0pt 
               \titlepage@ejname@font@size
               \pnode(0,-.5mm){A}%
%%               Journal of~Mechanics,\hskip2mm\pnode(0,-.5mm){B}\pnode(0,1.5mm){C}\par
%%               Materials and\par
%%               Processing
%%%%changed: 2006/10/12
%%               Journal of~Solid~Mechanics\hskip2mm\pnode(0,-.5mm){B}\pnode(0,1.5mm){C}\par
%%               and Materials Engineering
%%%%%%%%changed: 2007/01/17
               Journal of~Solid~Mechanics\hskip2mm\pnode(0,-.5mm){B}\pnode(0,1.5mm){C}\par
               and Materials\par Engineering
               }}%
}%
\def\material@normalpage{%
         \raisebox{0pt}[0pt][0pt]{\vtop{\parindent0pt 
               \normalpage@ejname@font@size
               \pnode(0,-.5mm){A}%
%%               Journal of Mechanics,\hskip2mm\pnode(0,-.5mm){B}\pnode(0,1.5mm){C}\par%
%%               Materials and Processing
%%%%changed: 2006/10/12
               Journal of~Solid~Mechanics\hskip2mm\pnode(0,-.5mm){B}\pnode(0,1.5mm){C}\par%
               and Materials Engineering
               }}%
}%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%NOTICE: 2006/06/17 Design of system, power, amdsm is not fixed.
%%%The following color and letters are temporary one. Honda
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%system%%5
\or
\definecolor{volnumbox@color}{rgb}{.7804, .6510, .7255}%199 166 185
\definecolor{headerline@color}{rgb}{.5608, .3020, .4510}%143 077 115
\definecolor{nombrebox@color}{rgb}{.5608, .3020, .4510}%143 077 115
\definecolor{bibdatabox@color}{rgb}{.8667, .7922, .8353}%221 202 213
\definecolor{bibdatabox@up@border@color}{rgb}{.5608, .3020, .4510}%143 077 115
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%Journal name in header for system
\def\system@titlepage{%
         \raisebox{0pt}[0pt][0pt]{\vtop{\parindent0pt 
               \titlepage@ejname@font@size
               \pnode(0,-.5mm){A}%
               Journal of~System\hskip2mm\pnode(0,-.5mm){B}\pnode(0,1.5mm){C}\par
               Design and\par
               Dynamics
               }}%
}%
\def\system@normalpage{%
         \raisebox{0pt}[0pt][0pt]{\vtop{\parindent0pt 
               \normalpage@ejname@font@size
               \pnode(0,-.5mm){A}%
               Journal of System\hskip2mm\pnode(0,-.5mm){B}\pnode(0,1.5mm){C}\par%
               Design and\par% Dynamics
               Dynamics%%change! 2007/08/24
               }}%
}%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%power%%6 %%changed 2006/12/25
\or
\definecolor{volnumbox@color}{rgb}{.9137, .7373, .7373}%233 188 188
\definecolor{headerline@color}{rgb}{.7725, .3059, .3059}%197 078 078
\definecolor{nombrebox@color}{rgb}{.7725, .3059, .3059}%197 078 078
\definecolor{bibdatabox@color}{rgb}{.9451, .8510, .8510}%241 217 217 
\definecolor{bibdatabox@up@border@color}{rgb}{.7725, .3059, .3059}%197 078 078
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%Journal name in header for power
\def\power@titlepage{%
         \raisebox{0pt}[0pt][0pt]{\vtop{\parindent0pt 
               \titlepage@ejname@font@size
               \pnode(0,-.5mm){A}%
               Journal of Power and\hskip2mm\pnode(0,-.5mm){B}\pnode(0,1.5mm){C}\par
               Energy\par
               Systems
               }}%
}%
\def\power@normalpage{%
         \raisebox{0pt}[0pt][0pt]{\vtop{\parindent0pt 
               \normalpage@ejname@font@size
               \pnode(0,-.5mm){A}%
               Journal of Power and\hskip2mm\pnode(0,-.5mm){B}\pnode(0,1.5mm){C}\par%
               Energy Systems
               }}%
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%amdsm%%7%%2006/12/25
\or
\definecolor{volnumbox@color}{rgb}{.7451, .5647, .3725}%190 144 095
\definecolor{headerline@color}{rgb}{.5843, .3765, .1098}%149 096 028
\definecolor{nombrebox@color}{rgb}{.5843, .3765, .1098}%149 096 028
\definecolor{bibdatabox@color}{rgb}{.8392, .7569, .6510}%214 193 166
\definecolor{bibdatabox@up@border@color}{rgb}{.5843, .3765, .1098}%149 096 028
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%Journal name in header for amdsm
\def\amdsm@titlepage{%
         \raisebox{0pt}[0pt][0pt]{\vtop{\parindent0pt 
               \titlepage@ejname@font@size
               \pnode(0,-.5mm){A}%
               \scalebox{.84 1}{Journal of Advanced Mechanical Design,}\hskip2mm\pnode(0,-.5mm){B}\pnode(0,1.5mm){C}\par
               Systems, and\par
               Manufacturing%,\par
               %%by JSME
               }}%
}%
\def\amdsm@normalpage{%
         \raisebox{0pt}[0pt][0pt]{\vtop{\parindent0pt 
               \normalpage@ejname@font@size
               \pnode(0,-.5mm){A}%
               Journal of Advanced Mechanical Design,\hskip2mm\pnode(0,-.5mm){B}\pnode(0,1.5mm){C}\par%
               Systems, and\par Manufacturing%%%\par%%, by JSME
               %%%JAMDSM%%change DELETE 2007/08/24
               }}%
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\or
%%%comput jcst %%8 2007/04/24 
\definecolor{volnumbox@color}{rgb}{.6,.8,.8510}%153 204 217
\definecolor{headerline@color}{rgb}{0,.5059,.7529}%0 129 192
\definecolor{nombrebox@color}{rgb}{0,.5059,.7529}%0 129 192
\definecolor{bibdatabox@color}{rgb}{.7373,.8506,.9412}%188 222 240
\definecolor{bibdatabox@up@border@color}{rgb}{0,.5059,.7529}%0 129 192
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%Journal name in header for comput
\def\comput@titlepage{%
         \raisebox{0pt}[0pt][0pt]{\vtop{\parindent0pt 
               \titlepage@ejname@font@size
               \pnode(0,-.5mm){A}%
               Journal of Computational\hskip2mm\pnode(0,-.5mm){B}\pnode(0,1.5mm){C}\par
               Science and\par
               Technology
               }}%
}%
\def\comput@normalpage{%
         \raisebox{0pt}[0pt][0pt]{\vtop{\parindent0pt 
               \normalpage@ejname@font@size
               \pnode(0,-.5mm){A}%
               Journal of Computational\hskip2mm\pnode(0,-.5mm){B}\pnode(0,1.5mm){C}\par%
               Science and Technology%%
               }}%
}
%%%%%%%%%%%%%%%%%%%%%%%%%
\or
%%%trans jmtl %%9 2007/08/20
\definecolor{volnumbox@color}{rgb}{.7490,.7608,1}%191 194 255
\definecolor{headerline@color}{rgb}{.4157,.3176,1}%106 81 255
\definecolor{nombrebox@color}{rgb}{.4157,.3176,1}%106 81 255
\definecolor{bibdatabox@color}{rgb}{.8627,.8745,1}%220 223 255
\definecolor{bibdatabox@up@border@color}{rgb}{.4157,.3176,1}%106 81 255
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%Journal name in header for trans
\def\trans@titlepage{%
         \raisebox{0pt}[0pt][0pt]{\vtop{\parindent0pt 
               \titlepage@ejname@font@size
               \pnode(0,-.5mm){A}%
               Journal of Mechanical Systems\hskip2mm\pnode(0,-.5mm){B}\pnode(0,1.5mm){C}\par
               for Transportation\par
               and Logistics
               }}%
}%
\def\trans@normalpage{%
         \raisebox{0pt}[0pt][0pt]{\vtop{\parindent0pt 
               \normalpage@ejname@font@size
               \pnode(0,-.5mm){A}%
               Journal of  Mechanical Systems\hskip2mm\pnode(0,-.5mm){B}\pnode(0,1.5mm){C}\par%
               for Transportation\par%%
               and Logistics
               }}%
}
%%%%%%%%%%%%%%%%%%%%%%%%
\or
%%%space jse %%10 2007/08/20
\definecolor{volnumbox@color}{rgb}{.5451,.7804,1}%139 199 255
\definecolor{headerline@color}{rgb}{0,.4157,1}%0 106 255
\definecolor{nombrebox@color}{rgb}{0,.4157,1}%0 106 255
\definecolor{bibdatabox@color}{rgb}{.7137,.8824,1}%182 225 255
\definecolor{bibdatabox@up@border@color}{rgb}{0,.4157,1}%0 106 255
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%Journal name in header for space
\def\space@titlepage{%
         \raisebox{0pt}[0pt][0pt]{\vtop{\parindent0pt 
               \titlepage@ejname@font@size
               \pnode(0,-.5mm){A}%
               Journal of Space\hskip2mm\pnode(0,-.5mm){B}\pnode(0,1.5mm){C}\par
               Engineering
               }}%
}%
\def\space@normalpage{%
         \raisebox{0pt}[0pt][0pt]{\vtop{\parindent0pt 
               \normalpage@ejname@font@size
               \pnode(0,-.5mm){A}%
               Journal of Space\hskip2mm\pnode(0,-.5mm){B}\pnode(0,1.5mm){C}\par%
               Engineering%%
               }}%
}
%%%%%%%%%%%%%%%%%%%%%%%%%
\else\relax%%100 dummy!!!
\definecolor{volnumbox@color}{rgb}{.7412, .7647, .8863}%189 195 226
\definecolor{headerline@color}{rgb}{.0235, .3608, .6588}%6 92 168
\definecolor{nombrebox@color}{rgb}{.0235, .3608, .6588}%6 92 168
\definecolor{bibdatabox@color}{rgb}{.8745, .8863, .9451}%223 226 241 
\definecolor{bibdatabox@up@border@color}{rgb}{.0235, .3608, .6588}%6 92 168
%%\typeout{>>>>>>>>>>>>>>>>>>}%
\fi
%%%%%%%%%%%%%%%common color: section title abstractbox
\definecolor{abstractbox@color}{rgb}{1, .9961, .9333}%255 254 238
\definecolor{section@color}{rgb}{0,0,0}%157 25 83
\definecolor{headcolor}{rgb}{0,0,0}%157 25 83
%%%%%%%%%%%%%%%%%Journal Name if not publish
\ifpublish\else
\expandafter\def\csname \@field @titlepage\endcsname{%
         \raisebox{0pt}[0pt][0pt]{\vtop{\parindent0pt 
               \titlepage@ejname@font@size
               \pnode(0,-.5mm){A}%
               Bulletin of the JSME\hskip2mm\pnode(0,-.5mm){B}\pnode(0,1.5mm)
               {C}\par
               }}%
}%
\expandafter\def\csname \@field @normalpage\endcsname{%
         \raisebox{0pt}[0pt][0pt]{\vtop{\parindent0pt 
               \normalpage@ejname@font@size
               \pnode(0,-.5mm){A}%
               Bulletin of the JSME\hskip2mm\pnode(0,-.5mm){B}\pnode(0,1.5mm)
               {C}\par%
               }}%
}%
\fi
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
}%End of the argument of \AtBeginDocument
%%%%%%%%%%%%%%%%%


%%%Page styles%%%change: 2006/06/16
\def\ps@titlepage{%
	\def\@oddhead{%
		\makeJournalTitle{\csname \@field @titlepage\endcsname}%
		\makeVolume%
	}%
	\def\@oddfoot{%
		\makeNombre%
%      \hskip-20mm\hskip20mm\pnode(0,1mm){A}%
%           \fboxsep\z@   
%           \colorbox{bibdatabox@color}{%
%           \vbox{\hsize45mm\@parboxrestore
%           {\color{bibdatabox@up@border@color}%%%\color{nombrebox@color}%
%            \leavevmode\leaders\hrule height.15mm depth.15mm\hfill\kern\z@}\par\vskip-2pt
%           \bibdata@font
%           %%\raggedright
%           \leftskip4mm
%           \hskip-\leftskip
%           %\rlap{\textsuperscript{$\ast$}}\hskip\leftskip
%           Received~\received@day~\received@month,~\received@year~%
%           (No.~\paper@no)\par
%%%%%%%%%%%%%%%%%%add 2006/11/21
%           {\leftskip0pt
%           \additional@comments\par}
%%%%%%%%%%%%%%%%%%%%%%%
%\iffalse
%\@for\temp:=\list@label\do{%
%   \hskip-\leftskip
%   \rlap{\textsuperscript{\affiliate@mark@author{\@nameuse{mark@\temp}}}}%
%   \hskip\leftskip
%   \@nameuse{affiliate@name@\temp},\\
%   \@nameuse{affiliate@address@\temp}\\
%   E-mail:
%   \@nameuse{affiliate@email@\temp}\\
%}%
%\fi
%%%%%%%%%%%%%%%%%%%%%%%%
%           \par
%           \hskip-\leftskip
%%%%        [DOI: 00.0000/ABCDE.\,\@year.000000]
%%%%        [DOI: 000000.\csname DOI@\@field\endcsname]%
%           [DOI: \csname DOI@\@field\endcsname]%
%           }\par}%
      }%
%\let\@oddfoot\@empty
      \let\@evenfoot\@oddfoot
      \let\@evenhead\@oddhead
      \let\@mkboth\markboth
      \let\chaptermark\@gobble
      \let\sectionmark\@gobble
}%

\def\makeVolume{%
	\smash{%
		\hbox to\z@{%
			\hspace{-\oddsidemargin}%
			\hspace{-1in}%
			\raisebox{1.5mm}{%
				\hbox to\paperwidth{%
					\hfill%
					\fboxrule\z@%
					\fboxsep1.25mm%
					\colorbox{volnumbox@color}{%
						\hspace{.5mm}%
						\titlepage@volnum@font@size%
						Vol.\@vol,~%
						No.\@no,~%
						\@year%
						\hbox to 15mm{}%
					}%
				}%
			}%
		}%
	}%
}%

\def\makeNombre{%
	\smash{%
		\hbox to\z@{%
			\hspace{-\oddsidemargin}%
			\hspace{-1in}%
			\raisebox{-.5mm}{%
				\hbox to\paperwidth{%
					\hfill%
					\fboxrule\z@%
					\fboxsep1mm%
					\colorbox{nombrebox@color}{%
						\hbox to 19mm{%
							\hspace{3mm}%
							\nombre@font@size%
							\color{white}%
							\thepage%
						}%
					}%
				}%
			}%
		}%
	}%
}%

\def\makeJournalTitle#1{%
	\smash{%
		\hbox to\z@{%
			\hspace{-\oddsidemargin}%
			\hspace{-1in}%
			\hspace{11.5mm}%
			\raisebox{1mm}{#1}%
		}%
	}%
}

\def\ps@normalpage{%
	\def\@oddhead{%
		\makeJournalTitle{\csname \@field @normalpage\endcsname}%
		\makeVolume%
	}%
%%%%%%%%%%%%%%%%%%%%%%
	\def\@oddfoot{%
		\makeNombre%
	}%
%%%%%%%%%%%%
      \let\@evenhead\@oddhead
      \let\@evenfoot\@oddfoot
      \let\@mkboth\markboth
      \let\chaptermark\@gobble
      \let\sectionmark\@gobble
}%

%%%%title vol num etc...

\def\title#1{\gdef\@title{#1}}

%%%%%2010/7/12 dummy for submitting
\ifpublish
\def\vol#1{\gdef\@vol{#1}}
\def\no#1{\gdef\@no{#1}}
\else
\def\vol#1{\gdef\@vol{X}}
\def\no#1{\gdef\@no{X}}
\fi

\AtBeginDocument{\ifpublish\else\vol{1}\no{1}}


%%%\def\Series#1{\gdef\@Series{#1}}
\def\field#1{%
   \lowercase{\xdef\@field{#1}}%   
%%%%%%%2006/06/28
   \xdef\@field{\@nameuse{@\@field}}%Abbe. of Journal -> name
%%%%%%%
   \expandafter\MakeUpperFirstLetter\@field\relax
   \xdef\@Field{\temp}%
   }%

\def\MakeUpperFirstLetter#1#2\relax{%
   \uppercase{\def\tempA{#1}}%
   \xdef\temp{\tempA#2}%
}%

%%%%%%%%%%%%%%%%%%%%%%%%exchange field name!! 2006/06/28
%%jfst -> fluid
%%jtst -> thermal
%%jbse -> bio
%%jee  -> env
%%jmmp -> material
%%jsdd -> system
%%jpes -> power
%%jamdsm -> amdsm
%%jcst -> comput
%%
%%jmtl -> trans
%%jse -> space
%%
%%xxx -> xxx
\def\exchange@field#1#2{%
\@namedef{@#1}{#2}\@namedef{@#2}{#2}%
}%
\exchange@field{jfst}{fluid}%\
\exchange@field{jtst}{thermal}%
\exchange@field{jbse}{bio}%
\exchange@field{jee}{env}%
\exchange@field{jmmp}{material}%
\exchange@field{jsmme}{material}%%%added: 2006/10/12 Journal name is changed.
\exchange@field{jsdd}{system}%
\exchange@field{jpes}{power}%
\exchange@field{jamdsm}{amdsm}%

\exchange@field{jcst}{comput}%%%added: 2007/04/24

\exchange@field{jmtl}{trans}%%%added: 2008/08/02
\exchange@field{jse}{space}%%%added: 2007/08/02

\exchange@field{xxx}{xxx}%

%%%%%%%%%%%%%%%%%%%%%%%%


\def\split@slash@rec#1/#2/#3\@nil{%
   \gdef\received@recyear{#1}
   \gdef\received@recmonth{#2}
   \gdef\received@recday{#3}
   \ifcase\received@recmonth\relax\or
      \gdef\received@recmonth{January}\or
      \gdef\received@recmonth{February}\or
      \gdef\received@recmonth{March}\or
      \gdef\received@recmonth{April}\or
      \gdef\received@recmonth{May}\or
      \gdef\received@recmonth{June}\or
      \gdef\received@recmonth{July}\or
      \gdef\received@recmonth{August}\or
      \gdef\received@recmonth{September}\or
      \gdef\received@recmonth{October}\or
      \gdef\received@recmonth{November}\or
      \gdef\received@recmonth{December}\else
  \fi
}

\def\split@slash@rev#1/#2/#3\@nil{%
   \gdef\revised@revyear{#1}
   \gdef\revised@revmonth{#2}
   \gdef\revised@revday{#3}
   \ifcase\revised@revmonth\relax\or
      \gdef\revised@revmonth{January}\or
      \gdef\revised@revmonth{February}\or
      \gdef\revised@revmonth{March}\or
      \gdef\revised@revmonth{April}\or
      \gdef\revised@revmonth{May}\or
      \gdef\revised@revmonth{June}\or
      \gdef\revised@revmonth{July}\or
      \gdef\revised@revmonth{August}\or
      \gdef\revised@revmonth{September}\or
      \gdef\revised@revmonth{October}\or
      \gdef\revised@revmonth{November}\or
      \gdef\revised@revmonth{December}\else
  \fi
}

\def\split@slash@acc#1/#2/#3\@nil{%
   \gdef\accepted@accyear{#1}
   \gdef\accepted@accmonth{#2}
   \gdef\accepted@accday{#3}
   \ifcase\accepted@accmonth\relax\or
      \gdef\accepted@accmonth{January}\or
      \gdef\accepted@accmonth{February}\or
      \gdef\accepted@accmonth{March}\or
      \gdef\accepted@accmonth{April}\or
      \gdef\accepted@accmonth{May}\or
      \gdef\accepted@accmonth{June}\or
      \gdef\accepted@accmonth{July}\or
      \gdef\accepted@accmonth{August}\or
      \gdef\accepted@accmonth{September}\or
      \gdef\accepted@accmonth{October}\or
      \gdef\accepted@accmonth{November}\or
      \gdef\accepted@accmonth{December}\else
  \fi
}

\def\received#1#2{%
   \@ifnextchar[{\@@received{#1}{#2}}{\@@received{#1}{#2}[]}%
}
\def\revised#1#2{%
   \@ifnextchar[{\@@revised{#1}{#2}}{\@@revised{#1}{#2}[]}%
}
\def\accepted#1#2{%
   \@ifnextchar[{\@@accepted{#1}{#2}}{\@@accepted{#1}{#2}[]}%
}

\def\@@received#1#2[#3]{%#1: date #2: no
   \expandafter\split@slash@rec#1\@nil
   \gdef\paper@no{#2}%
   \gdef\additional@comments{#3}%
}%
\def\@@revised#1#2[#3]{%#1: date #2: no
   \expandafter\split@slash@rev#1\@nil
   \gdef\paper@no{#2}%
   \gdef\additional@comments{#3}%
}%
\def\@@accepted#1#2[#3]{%#1: date #2: no
   \expandafter\split@slash@acc#1\@nil
   \gdef\paper@no{#2}%
   \gdef\additional@comments{#3}%
}%


\def\dummy@received#1#2[#3]{%#1: date #2: no
%% \expandafter\split@slash#1\@nil
   \gdef\received@year{YYYY}
   \gdef\received@month{MM}
   \gdef\received@day{DD}
   \gdef\paper@no{#2}%
   \gdef\additional@comments{#3}%
}%


%%%%%%%%%%%%%%%%%%%

%%%%%%%%%author, affiliate
%%author #1 #2
%%#1: label
%%#2: First Name (space) Family Name

\newcount\author@num
\newcount\affiliate@num
\affiliate@num\@ne
\let\list@label\@empty


\def\split@name@P@F#1 #2\@nill{%
    \def\temp@P{#1}%
    \def\temp@F{#2}%
    }

\def\author#1#2{%
   \advance\author@num\@ne
   \expandafter\split@name@P@F#2\@nill
   \expandafter\edef\csname author@P@\the\author@num\endcsname{\temp@P}
   \expandafter\edef\csname author@F@\the\author@num\endcsname{\temp@F}
   \edef\temp{\zap@space#1 \@empty}%zap space form the list of affiliate label #1.a
   %%\temp is a zapped list
   \expandafter\edef\csname label@\the\author@num\endcsname{\temp}
   \@for\temp:=\temp\do{%for each element of \temp, define the ``mark number.''
   \@ifundefined{mark@\temp}{%
      \advance\affiliate@num\@ne
      \expandafter\edef\csname mark@\temp\endcsname{\the\affiliate@num}%
      \ifx\list@label\@empty
         \xdef\list@label{\temp}%
      \else
         \xdef\list@label{\list@label,\temp}%
      \fi
      }{\relax}
   }%
}


\def\breakauthorline#1{%
   \xdef\templist{\zap@space#1 \@empty}%
   \@for\temp:=\templist\do{%
      \@namedef{break@or@relax@\temp}{\\}%
   }%
}


%%\affiliate
%%#1: label #2:affliate (name) #3: affiliate (address) #4: e-mail (option)

\def\affiliate#1#2#3{\@ifnextchar[%
   {\affiliate@{#1}{#2}{#3}}%
   {\affiliate@{#1}{#2}{#3}[]}%
}

\def\affiliate@#1#2#3[#4]{%
   \@namedef{affiliate@name@#1}{#2}%
   \@namedef{affiliate@address@#1}{#3}%
   \@namedef{affiliate@email@#1}{#4}%
}

%%%Calculate year from vol
%%%changed: 2006/10/12 Year for jsmme (previously jmmp) is changed
%%%         Volume 1 of jsmme is ``2007'' (others are 2006)
%%%
%%% dummy when submitting 2011/07/12
\ifpublish
\def\calculate@year{%
   \count@2005\relax%%%1957\relax
   \advance\count@\@vol\relax
%%%added: 2006/10/12 if jsmme, add ``1'' to year
\expandafter\ifnum\csname num@\@field\endcsname=4\relax%% number 4 = jsmme
   \advance\count@\@ne
\fi
%%%added: 2006/11/21 if jsdd, add ``1'' to year
\expandafter\ifnum\csname num@\@field\endcsname=5\relax%% number 5 = jsdd
   \advance\count@\@ne
\fi
%%%added: 2007/01/29 if jamdsm, add ``1'' to year
\expandafter\ifnum\csname num@\@field\endcsname=7\relax%% number 7 = jamdsm
   \advance\count@\@ne
\fi
%%%added: 2007/04/24 if jcst, add ``1'' to year
\expandafter\ifnum\csname num@\@field\endcsname=8\relax%% number 8 = jcst
   \advance\count@\@ne
\fi
%%%added: 2007/08/02 if jmtl, add ``1'' to year
\expandafter\ifnum\csname num@\@field\endcsname=9\relax%% number 9 = jmtl
   \advance\count@\@ne
\fi
%%%added: 2007/08/02 if jse, add ``1'' to year
%%%changed: 2007/08/16 if jse, add ``2'' to year
\expandafter\ifnum\csname num@\@field\endcsname=10\relax%% number 10 = jse
%%%\advance\count@\@ne
   \advance\count@\tw@
\fi
%%%
   \xdef\@year{\the\count@}%
}%
\else
\def\calculate@year{%
   \xdef\@year{XXXX}%%%dummy
}%
\fi


%%%%%%%%%%
\def\title@font{\fontsize{18pt}{22pt}\usefont{OT1}{ptm}{bx}{n}}



\def\affiliate@mark@author#1{%
   \ifcase#1\relax\or %1
    \or ${\ast}$%2
    \or ${\ast}{\ast}$%3
    \or ${\ast}{\ast}{\ast}$%4
    \or ${\dagger}$%5
    \or ${\dagger}{\dagger}$%6
    \or ${\dagger}{\dagger}{\dagger}$%7
    \else\relax
%%%%%%%%%%%%%%%%%%%
       \@jsme@error{Too many affiliation!}{\@ehc}%
%%%%%%%%%%%%%%%%%%%
    \fi
}

\gdef\@jsme@error#1#2{%
   \GenericError{%
      \space\space\space\@spaces\@spaces\@spaces
   }{%
      JSME TJ Package Error: #1%
   }{%
      Please consult to TeX the LaTeX manual or LaTeX Companion for explanation.%
   }{#2}%
}


%%%%%%%%%%

\newskip\titleauthorsep
\newskip\authorabstractsep
\newskip\abstracttextsep


\titleauthorsep\baselineskip
\authorabstractsep\baselineskip
\abstracttextsep\baselineskip

\def\maketitle{%
   \thispagestyle{titlepage}
%  \thispagestyle{normalpage}
   \calculate@year
   \bgroup
      \vspace*{5pt}%
      \noindent
      \color{headcolor}\title@font%
      \boldmath
	\begin{center@withoutsep}
		\@title\textsuperscript{}%
		\def\@makefnmark{\relax}%
		\footnote{}%
%			\color{black}%
%			\bibdata@font%
%			\hspace{-8mm}%
%			\fboxsep\z@%
%			\colorbox{bibdatabox@color}{%
%				\vbox{%
%					\hsize45mm%
%					\@parboxrestore%
%					{\color{bibdatabox@up@border@color}%
%						\leavevmode%
%						\leaders%
%						\hrule height.15mm depth.15mm%
%						\hfill%
%						\kern\z@}%
%					\par%
%					\vskip-2pt%
%					\leftskip4mm%
%					\hskip-\leftskip%
%					{\textsuperscript{$\ast$}}%
%					Received~\received@day~\received@month,~\received@year~%
%					(No.~\paper@no)\par
%					{\leftskip0pt%
%					\additional@comments\par}%
%					\iffalse%
%						\@for\temp:=\list@label\do{%
%							\hskip-\leftskip%
%							\rlap{\textsuperscript{\affiliate@mark@author{\@nameuse{mark@\temp}}}}%
%							\hskip\leftskip%
%							\@nameuse{affiliate@name@\temp},\\%
%							\@nameuse{affiliate@address@\temp}\\%
%							E-mail: %
%							\@nameuse{affiliate@email@\temp}\\%
%						}%
%					\fi%
%					\par%
%					\hskip-\leftskip%
%					[DOI: \csname DOI@\@field\endcsname]%
%				}%
%				\par%
%			}%
%			\par%
%			\reset@font%
%			\textbf{Copyright $\copyright$ 2013 by JSME}%
%		}%
%		\addtocounter{footnote}{-1}%
	\end{center@withoutsep}
      \par%
   \egroup
%%%%%%%%%%%
\vskip\titleauthorsep
%%%%%%%%%%%
   \bgroup
   \font@author
   \leftskip5mm
   \centering
   \parindent\z@
   \count@\z@
   \loop\ifnum\count@<\author@num\relax
      \@tempcnta\count@ 
      \advance\count@\@ne
      \edef\current@label{\csname label@\the\count@\endcsname}%
      \ifnum\count@=\@ne\else
         \ifnum\count@=\author@num\ \@nameuse{break@or@relax@\the\@tempcnta}and\ %
            \else%%%%%%%Put ``and'' before the last author,
              \unskip,\ \@nameuse{break@or@relax@\the\@tempcnta}%
         \fi%otherwise, put ``,\ '' between authors.
      \fi%
      \@nameuse{author@P@\the\count@}~%
      \MakeUppercase{\@nameuse{author@F@\the\count@}}%
      \@tempcnta\z@
      \@for\temp:=\current@label\do{\advance\@tempcnta\@ne}%
      \edef\number@temp@label{\the\@tempcnta}%
      \@tempcnta\z@
      \textsuperscript{%
         \@for\temp:=\current@label\do{%
            \advance\@tempcnta\@ne
            \affiliate@mark@author{\@nameuse{mark@\temp}}%%
            \ifnum\@tempcnta=\number@temp@label\relax\else,\fi
            }%
         }%
   \repeat
   \par
   \egroup
%%%%%%%%%
\bgroup
\parindent\z@
\titlepage@affiliate@font@size
\centering
\@for\temp:=\list@label\do{%
   %\hskip-\leftskip
   \textsuperscript{\affiliate@mark@author{\@nameuse{mark@\temp}}}\,%
   \@nameuse{affiliate@name@\temp}\\
   \@nameuse{affiliate@address@\temp}\\
   \expandafter\ifx\csname affiliate@email@\temp\endcsname\@empty
   \else
      E-mail:~\@nameuse{affiliate@email@\temp}\\
    \fi}%
\egroup
%%%%%%%%%%
\begin{center}
\textbf{Received:\ \received@recday~\received@recmonth~\received@recyear;~~Revised:\ \revised@revday~\revised@revmonth~\revised@revyear;~~Accepted:\ \accepted@accday~\accepted@accmonth~\accepted@accyear}%
\end{center}
%%%%%%%%%%
\vskip\authorabstractsep
}

%%%%%%%%%abstract, keywords

\newbox\abstbox
\newbox\keywordsbox

\def\abstract{\global\setbox\abstbox=\vbox\bgroup%
     \parindent\z@
     \everypar={{\abstractkey@head@font
           Abstract}\everypar={}\par}
     \hsize\linewidth
     \advance\hsize-10mm
}%

\def\endabstract{\egroup}

\def\keywords{\global\setbox\keywordsbox=\vbox\bgroup%
     \parindent\z@
     \everypar={{\abstractkey@head@font\itshape
           Keywords~\normalfont:~}\everypar={}}
     \hsize\linewidth
     \advance\hsize-10mm
     \setbox\z@=\hbox{\abstractkey@head@font\itshape Keywords~\normalfont:~}%
     \hangindent\wd\z@
     \hangafter-\m@ne
}

\def\endkeywords{\egroup
   \fboxsep1.5mm
   \parindent\z@
   \advance\linewidth-2\fboxsep
   \colorbox{abstractbox@color}{%
   \vbox{%
   \hsize\linewidth
   \parindent\z@
   \parbox{\linewidth}{\hfil\copy\abstbox\hfil}%
   \\[\baselineskip]%
   \parbox{\linewidth}{\hfil\copy\keywordsbox\hfil}}%
   }%
   \vskip\abstracttextsep
}%

%%%%%%%%section, subsection, subsubsection
\setcounter{secnumdepth}{3}
\newcounter{section}
\renewcommand{\thesection}{\@arabic\c@section}

\newcounter{subsection}[section]
\renewcommand{\thesubsection}{\thesection.\@arabic\c@subsection}

\newcounter{subsubsection}[subsection]
\renewcommand{\thesubsubsection}{\thesubsection.\@arabic\c@subsubsection}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\iffalse
\newcommand{\section}{\@startsection{section}{1}{\z@}%
   {8pt}%\baselineskip}%{27pt}%{\baselineskip}%
   {1sp}%
   {\color{section@color}\section@font\boldmath}%
}

\newcommand{\subsection}{\@startsection{subsection}{2}{\z@}%
   {\baselineskip}%
   {1sp}%
   {\subsection@font\boldmath}%
}


\newcommand{\subsubsection}{\@startsection{subsubsection}{3}{\z@}%
%   {\z@}%
%   {-2em}%
   {\baselineskip}%
   {1sp}%
   {\subsubsection@font\boldmath}
}

\newcommand{\paragraph}{\@startsection{paragraph}{4}{\z@}%
   {\z@}%
   {-2em}%
   {\paragraph@font\boldmath}
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


\def\@startsection#1#2#3#4#5#6{%
  \if@noskipsec \leavevmode \fi
  \par
  \@tempskipa #4\relax
  \@afterindenttrue
  \ifdim \@tempskipa <\z@
    \@tempskipa -\@tempskipa \@afterindentfalse
  \fi
  \if@nobreak
    \everypar{}%
  \else
    \addpenalty\@secpenalty\addvspace\@tempskipa
  \fi
  \@ifstar
    {\@ssect{#3}{#4}{#5}{#6}{#2}}%
    {\@dblarg{\@sect{#1}{#2}{#3}{#4}{#5}{#6}}}}%


%%%#1 : indent
%%%#2 : beforeskip
%%%#3 : afterskip
%%%#4 : font & size 
%%%#5 : level



\def\@sect#1#2#3#4#5#6[#7]#8{%
  \ifnum #2>\c@secnumdepth
    \let\@svsec\@empty
  \else
    \refstepcounter{#1}%
    \protected@edef\@svsec{\@seccntformat{#1}\relax}%
  \fi
  \@tempskipa #5\relax
  \ifdim \@tempskipa>\z@
    \begingroup
      \ifnum#2=1\relax%%%section
      #6{%
       \setbox\z@=\hbox{\hskip #3\relax\@svsec}%
        \dimen@\linewidth
        \advance\dimen@-\wd\z@
        \setbox\z@=\vbox{\hsize\dimen@#8}%
        \ifdim\ht\z@>\baselineskip
           \hskip #3\relax\@svsec%
           \parbox[t]{\dimen@}{#8}%
        \else
           \par
%           \vbox to27pt{\@parboxrestore\vss\hskip #3\relax\@svsec#8\vss}%
           \vbox to15pt{\@parboxrestore\vss\hskip #3\relax\@svsec#8\vss}%
        \fi
      }%
      \else
      #6{%
        \@hangfrom{\hskip #3\relax\@svsec}%
          \interlinepenalty \@M #8\@@par}%
      \fi
    \endgroup
    \csname #1mark\endcsname{#7}%
    \addcontentsline{toc}{#1}{%
      \ifnum #2>\c@secnumdepth \else
        \protect\numberline{\csname the#1\endcsname}%
      \fi
      #7}%
  \else%
    \def\@svsechd{%
      #6{\hskip #3\relax
      \@svsec #8}%
      \csname #1mark\endcsname{#7}%
      \addcontentsline{toc}{#1}{%
        \ifnum #2>\c@secnumdepth \else
          \protect\numberline{\csname the#1\endcsname}%
        \fi
        #7}}%
  \fi
  \@xsect{#5}}%
\def\@xsect#1{%
  \@tempskipa #1\relax%
  \ifdim \@tempskipa>\z@%
    \par \nobreak%
    \ifdim\@tempskipa=1sp\relax%
       \vskip-\@tempskipa%
    \else%
       \vskip \@tempskipa%
    \fi%
    \@afterheading%
  \else%
    \@nobreakfalse%
    \global\@noskipsectrue%
    \everypar{%
      \if@noskipsec%
        \global\@noskipsecfalse%
       {\setbox\z@\lastbox}%
        \clubpenalty\@M%
        \begingroup \@svsechd \endgroup%
        \unskip%
        \@tempskipa #1\relax%
        \hskip -\@tempskipa%
      \else%
        \clubpenalty \@clubpenalty%
        \everypar{}%
      \fi}%
  \fi%
  \prevdepth\z@%
  \ignorespaces}%
\def\@seccntformat#1{\csname the#1\endcsname.\hskip.5em}%

\fi
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%
%%%
%%%
%\def\@hangfrom#1{\setbox\@tempboxa\hbox{{#1}}%
%      \hangindent \wd\@tempboxa\noindent\box\@tempboxa}%latex.ltx original

\let\org@hangfrom\@hangfrom



\def\@startsection#1#2#3#4#5#6{\if@noskipsec \leavevmode \fi
   \par \@tempskipa #4\relax
   \@afterindenttrue
   \ifdim \@tempskipa <\z@ 
     \@tempskipa -\@tempskipa \@afterindentfalse
   \fi
   \if@nobreak 
      \everypar{}
   \else
      \addpenalty{\@secpenalty}%
      \ifnum #2=\@ne
%%    \ifdim\prevdepth>2.5pt\leavevmode\fi%%% Experimental code2004/02/28
      \ifdim\prevdepth>4pt\leavevmode\fi%%% Experimental code2004/04/11
         \vskip-\prevdepth 
         \prevdepth\z@ 
         \vskip\normal@baselineskip
         \advance\@tempskipa-\normal@baselineskip 
         \vspace*{\@tempskipa}%
      \else
         \addvspace{\@tempskipa}%
      \fi
   \fi 
   \@ifstar
     {\@ssect{#3}{#4}{#5}{#6}{#2}}{\@dblarg{\@sect{#1}{#2}{#3}{#4}{#5}{#6}}}}

%%%
%%%\@ssect
%%%
%%%#1 : indent
%%%#2 : beforeskip
%%%#3 : afterskip
%%%#4 : font & size 
%%%#5 : level
%%%%%%change 2006/06/16
\def\@ssect#1#2#3#4#5#6{%
%  \ifnum #2>\c@secnumdepth
%    \let\@svsec\@empty
%  \else
%    \refstepcounter{#1}%
%%%%%%%%%%
%  \let\adjust\@empty
%  \if@appendix
%     \if<#8<\else\def\adjust{:\quad}\fi%
%  \fi
%%%%%%%%%
%    \protected@edef\@svsec{\@seccntformat{#1}\relax}%
%  \fi
  \@tempskipa #2\relax%%%#2 bereforeskip
%%%%%%%%%%%%%%%%%%%%%%
  \ifnum#5=\@ne
     \setbox\z@=\hbox{\begingroup#4#6\endgroup}%%
     \ifnum\wd\z@<\linewidth%%\columnwidth
        {\copy\z@}%
     \else
        \begingroup
           #4{%%%#4 %%font
              \@hangfrom{\hskip #1\relax}%%%#1 indent
              \interlinepenalty \@M #6\@@par}%#6 section
        \endgroup
     \fi
  \else
%%%%%%%%%%%%%%%%%%%%%
     \ifdim \@tempskipa>\z@
        \begingroup
           #4{%%%#4 %%font
              \@hangfrom{\hskip #1\relax\@svsec}%%%#1 indent
              \interlinepenalty \@M #6\@@par}%#6 section
        \endgroup
        %%\csname #1mark\endcsname{#7}%%%#1 section
        %%\addcontentsline{toc}{#1}{%
        %%   \ifnum #2>\c@secnumdepth \else%%#2 level
        %%     \protect\numberline{\csname the#1\endcsname}%
        %%  \fi
        %%   #7}%%%#7 section
     \else
        \def\@svsechd{%
           #4{\hskip #1\relax
           #6}%
           %%\csname #1mark\endcsname{#7}%
           %%\addcontentsline{toc}{#1}{%
           %%\ifnum #2>\c@secnumdepth \else
           %%   \protect\numberline{\csname the#1\endcsname}%
           %%\fi
           %%#7}%
           }%
     \fi
%%%%%%%%%%%%%%%%%%%%%
  \fi
  \@xsect{#3}}




\def\@sect#1#2#3#4#5#6[#7]#8{%
  \ifnum #2>\c@secnumdepth
    \let\@svsec\@empty
  \else
    \refstepcounter{#1}%
%%%%%%%%%
  \let\adjust\@empty
  \if@appendix
     \if<#8<\else\def\adjust{:\quad}\fi%
  \fi
%%%%%%%%%
    \protected@edef\@svsec{\@seccntformat{#1}\relax}%
  \fi
  \@tempskipa #5\relax%%%#5 bereforeskip
%%%%%%%%%%%%%%%%%%%%%%
  \ifnum#2=\@ne
     \setbox\z@=\hbox{\begingroup#6\@svsec#8\endgroup}%%
     \ifnum\wd\z@<\linewidth%%\columnwidth
        {\copy\z@}%
     \else
        \begingroup
           #6{%%%#6 %%font
              \@hangfrom{\hskip #3\relax\@svsec}%%%#3 indent
              \interlinepenalty \@M #8\@@par}%#8 section
        \endgroup
     \fi
  \else
%%%%%%%%%%%%%%%%%%%%%
     \ifdim \@tempskipa>\z@
        \begingroup
           #6{%%%#6 %%font
              \@hangfrom{\hskip #3\relax\@svsec}%%%#3 indent
              \interlinepenalty \@M #8\@@par}%#8 section
        \endgroup
        \csname #1mark\endcsname{#7}%%%#1 section
        \addcontentsline{toc}{#1}{%
           \ifnum #2>\c@secnumdepth \else%%#2 level
              \protect\numberline{\csname the#1\endcsname}%
           \fi
            #7}%%%#7 section
     \else
        \def\@svsechd{%
           #6{\hskip #3\relax
           \@svsec #8}%
           \csname #1mark\endcsname{#7}%
           \addcontentsline{toc}{#1}{%
           \ifnum #2>\c@secnumdepth \else
              \protect\numberline{\csname the#1\endcsname}%
           \fi
           #7}}%
     \fi
%%%%%%%%%%%%%%%%%%%%%
  \fi
  \@xsect{#5}}

%%%%%%%%%%%%%%%%%%%%
\def\@xsect#1{%
  \@tempskipa #1\relax
  \ifdim \@tempskipa>\z@
    \par \nobreak
%%%%%%%%%%%%%%%%%%%%%%%%%
\ifdim\@tempskipa=1sp
    \vskip\z@
\else
    \vskip \@tempskipa
\fi
%%%%%%%%%%%%%%%%%%%%%%%%%
    \@afterheading
  \else
    \@nobreakfalse
    \global\@noskipsectrue
    \everypar{%
      \if@noskipsec
        \global\@noskipsecfalse
       {\setbox\z@\lastbox}%
        \clubpenalty\@M
        \begingroup \@svsechd \endgroup
        \unskip
        \@tempskipa #1\relax
        \hskip -\@tempskipa
      \else
        \clubpenalty \@clubpenalty
        \everypar{}%
      \fi}%
  \fi
  \ignorespaces}
%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%2004/05/12
\def\@afterheading{%
  \@nobreaktrue
  \everypar{%
    \if@nobreak
      \@nobreakfalse
      \clubpenalty\@clubpenalty%%\@M
      \if@afterindent \else
        {\setbox\z@\lastbox}%
      \fi
    \else
      \clubpenalty \@clubpenalty
      \everypar{}%
    \fi}}
%%%%%%%%%%%%%%%%%%%%%%%





\newcommand{\section}{\@startsection{section}{1}{\z@}%
   {1\normal@baselineskip \@plus1.5pt \@minus1.5pt}%
   {1\normal@baselineskip \@plus1.5pt \@minus1.5pt}%
   {\normalsize\normalfont\color{section@color}\section@font\boldmath}}

\newcommand{\subsection}{%
	% ���o�����A����������1�s�l�߂�
	\if@nobreak%
		\vspace{-\normal@baselineskip}%
	\fi%
	\@startsection{subsection}{2}{\z@}%
   {\normal@baselineskip}%
   {1sp}%
   {\normalsize\normalfont\subsection@font\boldmath}}

\newcommand{\subsubsection}{%
 %  {\z@}%
 %  {-2em}%
	%\if@nobreak%
	%	\vspace{-\normal@baselineskip}%
	%\fi%
	\@startsection{subsubsection}{3}{\z@}%
   {\normal@baselineskip}%
   {1sp}%
   {\normalsize\normalfont\subsection@font\boldmath}}
   
\newcommand{\paragraph}{\@startsection{paragraph}{4}{\z@}%
   {\z@}%
   {-2em}%
   {\normalsize\normalfont\paragraph@font\boldmath}}

\def\@seccntformat#1{\csname the#1\endcsname.\hskip.5em}%


%%%
%%%Appendix
%%%
\newif\if@appendix
\def\appendix{%
   \@appendixtrue
\AtEndDocument{\typeout{^^J>>>>>>>>>>>>>> APPENDIX : CHECK EQUATION NUMBER!!!^^J}}
   \setcounter{section}{0}%
   \def\section@num@format{Appendix \@Alph{\c@section}\adjust}%
%%%%%%%%%%%%
%\renewcommand{\section}{\@startsection{section}{1}{\z@}%
%   {.5\normal@baselineskip \@plus1.5pt \@minus1.5pt}%
%   {.5\normal@baselineskip \@plus1.5pt \@minus1.5pt}%
%   {\normalsize\normalfont\normalcolor\section@font\boldmath}}
%%%%%%%%%%%%
   \setcounter{equation}{0}%
   \def\theequation{\ifnum\c@section=\z@ A\else\@Alph{\c@section}\fi.\the\c@equation}
}



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\def\notation{\par
   \topskip\z@
   \multicolsep5pt
   \columnsep2em
   \def\descriptionlabel##1{\normalfont\hss##1~:~}
   \prevdepth-\@m\p@
   \begin{multicols}{2}\parindent\z@
   \global\multicolsep\z@
      \list{}{%
        \parsep\z@
        \leftmargin12mm
        \labelwidth12mm
        \labelsep\z@
        \itemindent\z@
        \itemsep\z@
        \let\makelabel\descriptionlabel}%
}

\def\endnotation{\endlist\end{multicols}}%\vskip10pt}

%%%%%%%%%%%
\ifams
\mathindent2em
\else
\newdimen\mathindent
\mathindent2em
\fi%%%%2007/05/07
\def\@eqnsel{\hfill}
\def\@eqnnum{{\normalfont \normalcolor (\theequation)\hbox to4em{}}}


\renewcommand\[{\relax
                \ifmmode\@badmath
                \else
                  \begin{trivlist}%
                    \@beginparpenalty\predisplaypenalty
                    \@endparpenalty\postdisplaypenalty
                    \item[]\leavevmode
                    \hb@xt@\linewidth\bgroup $\m@th\displaystyle %$
                      \hskip\mathindent\bgroup
                \fi}
\renewcommand\]{\relax
                \ifmmode
                      \egroup $\hfil% $
                    \egroup
                  \end{trivlist}%
                \else \@badmath
                \fi}
\renewenvironment{equation}%
    {\@beginparpenalty\predisplaypenalty
     \@endparpenalty\postdisplaypenalty
     \refstepcounter{equation}%
     \trivlist \item[]\leavevmode
       \hb@xt@\linewidth\bgroup $\m@th% $
         \displaystyle
         \hskip\mathindent}%
        {$\hfil % $
         \displaywidth\linewidth\hbox{\@eqnnum}%
       \egroup
     \endtrivlist}
\renewenvironment{eqnarray}{%
    \stepcounter{equation}%
    \def\@currentlabel{\p@equation\theequation}%
    \global\@eqnswtrue\m@th
    \global\@eqcnt\z@
    \tabskip\mathindent
    \let\\=\@eqncr
    \setlength\abovedisplayskip{\topsep}%
    \ifvmode
      \addtolength\abovedisplayskip{\partopsep}%
    \fi
    \addtolength\abovedisplayskip{\parskip}%
    \setlength\belowdisplayskip{\abovedisplayskip}%
    \setlength\belowdisplayshortskip{\abovedisplayskip}%
    \setlength\abovedisplayshortskip{\abovedisplayskip}%
    $$\everycr{}\halign to\linewidth% $$
    \bgroup
      \hskip\@centering
      $\displaystyle\tabskip\z@skip{##}$\@eqnsel&%
      \global\@eqcnt\@ne \hfil${{}##{}}$\hfil&%
      \global\@eqcnt\tw@ 
        $\displaystyle{##}$\hfil \tabskip\@centering&%
      \global\@eqcnt\thr@@
        \hb@xt@\z@\bgroup\hss##\egroup\tabskip\z@skip\cr}%
      {\@@eqncr
    \egroup
    \global\advance\c@equation\m@ne$$% $$
    \@ignoretrue
    }
%%\fi 2007/05/07

%%%%%%%
\ifnotx
   \DeclareFontFamily{OMX}{smallcmex}{}
   \DeclareFontShape{OMX}{smallcmex}{m}{n}{
      <-> s * [.7] cmex10%
   }{}
   \DeclareFontShape{OMX}{smallcmex}{bx}{n}{
      <-> s * [.7] cmex10%
   }{}
   \DeclareSymbolFont{smalllargesymbols}{OMX}{smallcmex}{m}{n}
   \SetSymbolFont{smalllargesymbols}{bold}{OMX}{smallcmex}{bx}{n}
\else
   \DeclareFontFamily{OMX}{smalltxex}{}
   \DeclareFontShape{OMX}{smalltxex}{m}{n}{
      <-> s * [.7] txex%
   }{}
   \DeclareFontShape{OMX}{smalltxex}{bx}{n}{
      <-> s * [.7] txbex%
   }{}
  \DeclareSymbolFont{smalllargesymbols}{OMX}{smalltxex}{m}{n}
  \SetSymbolFont{smalllargesymbols}{bold}{OMX}{smalltxex}{bx}{n}
\fi



\let\sum\undefined
\let\prod\undefined
\let\intop\undefined
\DeclareMathSymbol{\prod}{\mathop}{smalllargesymbols}{"51}
\DeclareMathSymbol{\sum}{\mathop}{smalllargesymbols}{"50}
\DeclareMathSymbol{\intop}{\mathop}{smalllargesymbols}{"52}

%%%%%%%%%%%%%%
%\newdimen\bibindent
%\setlength\bibindent{1.5em}
\def\@biblabel#1{}
\newenvironment{thebibliography}[1]
     {\section*{References}%%%%change 2013/08/26
      \list {\@biblabel{\@arabic\c@enumiv}}%
            {\settowidth\labelwidth{\@biblabel{#1}}%
            %\leftmargin\labelwidth
            %\advance\leftmargin\labelsep
            \leftmargin2em
            \labelwidth0mm
            \labelsep\z@
            \itemindent-2em
            \listparindent\z@
            \itemsep\z@
            \partopsep\z@
            \topsep\z@
            \parsep\z@
            \usecounter{enumiv}%
            \let\p@enumiv\@empty
            \def\makelabel##1{##1\hss}
            \renewcommand\theenumiv{\@arabic\c@enumiv}}%
      \sloppy
      \clubpenalty4000
      \@clubpenalty \clubpenalty
      \widowpenalty4000%
      \sfcode`\.\@m
%%%%%%%%%bibtag for JST
      \def\bibauthor##1{##1\ \ignorespaces}%
      \def\bibtitle##1{##1\ \ignorespaces}%
      \def\bibjname##1{##1\ \ignorespaces}%
      \def\bibpubname##1{##1\ \ignorespaces}%
      \def\bibvol##1{##1\ \ignorespaces}%
      \def\bibno##1{##1\ \ignorespaces}%
      \def\bibpubyear##1{##1\ \ignorespaces}%
      \def\bibpage##1{##1\ \ignorespaces}%
      \def\bibother##1{##1\ \ignorespaces}%
      }%
%%%%%%%%%
     {\def\@noitemerr
       {\@latex@warning{Empty `thebibliography' environment}}%
      \endlist}


%% from citesort.sty, customized a little
\newcount\@minsofar
\newcount\@min
\newcount\@cite@temp
\def\@citex[#1]#2{%
\if@filesw \immediate \write \@auxout {\string \citation {#2}}\fi
\@tempcntb\m@ne \let\@h@ld\relax \def\@citea{}%
\@min\m@ne%
\@cite{%
  \@for \@citeb:=#2\do {\@ifundefined {b@\@citeb}%
    {\@h@ld\@citea\@tempcntb\m@ne\textbf{?}%% {\bf ?}
    \@warning {Citation `\@citeb ' on page \thepage \space undefined}}%
{\@minsofar\z@ \@for \@scan@cites:=#2\do {%
  \@ifundefined{b@\@scan@cites}%
    {\@cite@temp\m@ne}
    {\@cite@temp\number\csname b@\@scan@cites \endcsname \relax}%% <
 \ifnum\@cite@temp > \@min% select the next one to list
    \ifnum\@minsofar = \z@
      \@minsofar\number\@cite@temp
      \edef\@scan@copy{\@scan@cites}\else
    \ifnum\@cite@temp < \@minsofar %% >
      \@minsofar\number\@cite@temp
      \edef\@scan@copy{\@scan@cites}\fi\fi\fi}\@tempcnta\@min %% <
  \ifnum\@minsofar > \z@ % some more
    \advance\@tempcnta\@ne
    \@min\@minsofar
    \ifnum\@tempcnta=\@minsofar %   Number follows previous--hold on to it
      \ifx\@h@ld\relax
        \edef \@h@ld{\@citea\csname b@\@scan@copy\endcsname}%
      \else %% [
       \edef\@h@ld{\ifmmode{)\mbox{\,--\,}\allowbreak (}%%% insert \,
        \else )\,--\,\allowbreak(\fi %% ]%% insert \,
         \csname b@\@scan@copy\endcsname}%
      \fi
    \else \@h@ld\@citea\csname b@\@scan@copy\endcsname
          \let\@h@ld\relax
  \fi % no more
 \fi}%
  \def\@citea{%% [
   ),\,\allowbreak(}}\@h@ld}{#1}% ]
}
\def\@cite#1#2{\leavevmode\unskip
  \ifnum\lastpenalty=\z@\penalty\@highpenalty\fi%highpenalty before
%  $^{\mbox{\scriptsize\rm({\multiply\@highpenalty 3 #1%% triple-highpenalties within
%      \if@tempswa,\penalty\@highpenalty\ #2\fi % and before note.
%    })}}$
   \textscript{({\multiply\@highpenalty 3 #1% triple-highpenalties within
        \if@tempswa,\penalty\@highpenalty\ #2\fi % and before note.
        })}%
   \spacefactor\@m}
%%%%%%%
%%%%%%%\citen: not script citation
%%%%%%%
\def\citen#1{%
   \bgroup
      \let\unskip\relax
      \let\textscript\@empty
      \cite{#1}%
   \egroup}




%%%%%%%%%%%%%%%%%%%%%tabel figure
\newcounter{figure}
\newcounter{table}


\def\center@withoutsep{%
   \topsep\z@\partopsep\z@\parsep\z@
   \trivlist \centering\item\relax}
\def\endcenter@withoutsep{\endtrivlist}


\def\@floatboxreset{%
        \reset@font
        \fontsize{8.5pt}{10pt}\selectfont
        \@setminipage
}


\renewcommand\thefigure{\@arabic\c@figure}
\def\fps@figure{thp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{\figurename~\thefigure}
\def\figurename{Fig.}
\newenvironment{figure}
               {\let\center\center@withoutsep
                \let\endcenter\endcenter@withoutsep
                \captionwidth.8\hsize
                \@float{figure}}
               {\end@float}
\newenvironment{figure*}
               {\let\center\center@withoutsep
                \let\endcenter\endcenter@withoutsep
                \captionwidth140mm
                \@dblfloat{figure}}
               {\end@dblfloat}

\renewcommand\thetable{\@arabic\c@table}
\def\fps@table{thp}
\def\ftype@table{1}
\def\ext@table{lot}
\def\fnum@table{\tablename~\thetable}
\def\tablename{Table}
\newenvironment{table}
               {\let\center\center@withoutsep
                \let\endcenter\endcenter@withoutsep
                \captionwidth.8\hsize
                \fontsize{10pt}{12pt}\selectfont
                \@float{table}}
               {\end@float}
\newenvironment{table*}
               {\let\center\center@withoutsep
                \let\endcenter\endcenter@withoutsep
                \captionwidth120mm
                \fontsize{10pt}{12pt}\selectfont
                \@dblfloat{table}}
               {\end@dblfloat}



\newskip\abovefigurecaptionskip
\abovefigurecaptionskip3mm plus.5mm minus.5mm
\newskip\belowtablecaptionskip
\belowtablecaptionskip3mm plus.5mm minus.5mm
\def\@figure{figure}
\def\@table{table}
\newdimen\captionwidth


\long\def\@caption#1[#2]#3{%
  \par
\bgroup
\let\\\@empty
  \addcontentsline{\csname ext@#1\endcsname}{#1}%
    {\protect\numberline{\csname the#1\endcsname}{\ignorespaces #2}}%
\egroup
  \begingroup
    \@parboxrestore
    \if@minipage
      \@setminipage
    \fi
    \normalsize
    \@makecaption{\csname fnum@#1\endcsname}{\ignorespaces #3}\par
  \endgroup}

%%%%
\newdimen\captionsep
%{\fontsize{8.5pt}{10pt}\global\captionsep1em}%


\long\def\@makecaption#1#2{%
   \ifx\@captype\@figure
      \prevdepth-1000pt
      \vskip\abovefigurecaptionskip
      \fontsize{8.5pt}{10pt}\selectfont\captionsep1em
%      \sbox\@tempboxa{#1\quad#2}%
%      \ifdim \wd\@tempboxa >\captionwidth
%         \begin{center}
%         \setbox\z@=\hbox{#1\quad}%
%         \parbox{\captionwidth}{%
%            \hangindent\wd\z@
%            \leavevmode\copy\z@#2\par}
%         \end{center}
%      \else
%         \global \@minipagefalse
%         \hb@xt@\hsize{\hfil\box\@tempboxa\hfil}%
%      \fi
%%   \setbox\z@=\hbox{#1\quad}%
   \setbox\z@=\hbox{#1\hskip\captionsep}%
   \dimen@\captionwidth\advance\dimen@-\wd\z@
%  \setbox\tw@\vbox{\hsize\dimen@\@parboxrestore#2}%
%%%%%%%
   \setbox\tw@\vbox{\pretolerance 9999\emergencystretch4em%
\hsize\dimen@\@parboxrestore#2}%
%%%%%%%
   \global\setbox\@ne\vtop{}%
   \setbox\tw@\vbox{%
      \dimen@\z@\unvcopy\tw@
      \@makecaption@get@boxsize
      \unvbox\tw@
      \@makecaption@reconstruct@box}%
%%%%%%%%%%%%%%
\@tempdima\wd\z@
\advance\@tempdima\wd\@ne
\ifdim\@tempdima>\captionwidth\relax
\advance\@tempdima-\captionwidth
\hbox to\linewidth{\hss%%%%%%%%added 2004/05/27
\parbox{\captionwidth}{\sloppy\pretolerance 9999\emergencystretch4em%%
\hangindent\wd\z@\leavevmode\box\z@#2}%
\hss}%%%%%%%%%%%added 2004/05/27
\@minipagefalse
\else
%%%%%%%%%%%%%%%
%%\hbox to\columnwidth{\hss\hbox to\hsize{\hss\box\z@\box\@ne\hss}\hss}%
\hbox to\hsize{\hss\hbox to\hsize{\hss\box\z@\box\@ne\hss}\hss}%
      \@minipagefalse
\fi%%%%%%%
   \else
      \ifx\@captype\@table
%%%%%%%%%%%%%%
      \fontsize{8.5pt}{10pt}\selectfont
%      \sbox\@tempboxa{#1\quad#2}%
%      \ifdim \wd\@tempboxa >\captionwidth
%         \begin{center}
%         \setbox\z@=\hbox{#1\quad}%
%         \parbox{\captionwidth}{%
%            \hangindent\wd\z@
%            \leavevmode\copy\z@#2\par}
%         \end{center}
%      \else
%         \global \@minipagefalse
%         \hb@xt@\hsize{\hfil\box\@tempboxa\hfil}%
%      \fi
   \setbox\z@=\hbox{#1\quad}%
   \dimen@\captionwidth\advance\dimen@-\wd\z@
   \setbox\tw@\vbox{\hsize\dimen@\@parboxrestore#2}%
   \global\setbox\@ne\vtop{}%
   \setbox\tw@\vbox{%
      \dimen@\z@\unvcopy\tw@
      \@makecaption@get@boxsize
      \unvbox\tw@
      \@makecaption@reconstruct@box}%
%%%%%%%%%%%%%%
\@tempdima\wd\z@
\advance\@tempdima\wd\@ne
\ifdim\@tempdima>\captionwidth\relax
\advance\@tempdima-\captionwidth
\hbox to\linewidth{\hss%%%%%%%%added 2004/05/27
\parbox{\captionwidth}{\sloppy\pretolerance 9999\emergencystretch4em%%
\hangindent\wd\z@\leavevmode\box\z@#2}%
\hss}%%%%
\@minipagefalse\par
\else
%%%%%%%%%%%%%%
%%\hbox to\columnwidth{\hss\hbox to\hsize{\hss\box\z@\box\@ne\hss}\hss}%
\hbox to\hsize{\hss\hbox to\hsize{\hss\box\z@\box\@ne\hss}\hss}%
      \@minipagefalse
\fi%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%
      \prevdepth-1000pt
      \vskip\belowtablecaptionskip
%%%%%%%%%%%%%%
      \else
         \relax
      \fi
   \fi
}%
%%%%%%%%%




\def\@makecaption@reconstruct@box{%
   \@tempdima\lastskip\unskip
   \unpenalty
   \advance\@tempdima\lastskip\unskip
   \unpenalty
   \setbox\tw@\lastbox
   \ifvoid\tw@\else
      \global\setbox\@ne\vtop{%
%%       \hbox{\unhbox\tw@}%
         \hbox to\dimen@{\unhbox\tw@}%
         \vskip\@tempdima%
         \unvbox\@ne}%
      \expandafter\@makecaption@reconstruct@box
   \fi
}%
\def\@makecaption@get@boxsize{%
   \unskip\unpenalty\unskip\unpenalty
   \setbox4\lastbox
   \ifvoid4\else
      \setbox4\hbox{\unhbox4}%
      \ifdim\dimen@<\wd4 \dimen@\wd4 \fi
   \expandafter\@makecaption@get@boxsize
   \fi
}%

%%%%
%%%%

\skip\footins=4mm plus 1mm minus 1mm

\footnotesep8.4pt

\dimen\footins=.5\textheight 

\def\footnoterule{\kern-1.1mm
  \hrule \@width \columnwidth \kern 1mm
\vskip-1.755pt%%%2004/03/01
}
\def\footnoterule{%
	\relax%
}%

\def\@makefnmark{\hbox{\textscript{\normalfont$\ast$\the\c@footnote}}}%
\long\def\@makefntext#1{%
    \parindent\z@%
    \everypar{\hangindent8mm\hb@xt@8mm{\hss\@makefnmark\hskip2mm}%
              \everypar{}}%
    #1}%


%%%%%%%%%%%%%%%%%%%%%%%%%%%

\define@key{jsme@enum}{type}{\def\@numtype{#1}}%
\define@key{jsme@enum}{numtype}{%
   \expandafter\let\expandafter\@numbertype\csname @#1\endcsname}%
\def\p@ren{()}%

\setkeys{jsme@enum}{type=(),numtype=arabic}


\def\enumerate{%
   \@ifnextchar[{\@enumerate}{\@enumerate[type=(),numtype=arabic]}%
}


\def\@enumerate[#1]{%
   \ifnum \@enumdepth >\thr@@\@toodeep\else
     \advance\@enumdepth\@ne
     \edef\@enumctr{enum\romannumeral\the\@enumdepth}%
   \setkeys{jsme@enum}{#1}%
%%%%%%%%
   \if\@numtype.%
      \def\m@kelabel##1{%
         \setbox\z@=\hbox{11}%
%%%         \hbox to\wd\z@{\hss\@numbertype{##1}\hss}.}%
         \hbox to\wd\z@{\hss\@numbertype{##1}.\hss}}% 
   \else\if\@numtype)%
           \def\m@kelabel##1{%
              \setbox\z@=\hbox{11}%
              \hbox to\wd\z@{\hss\@numbertype{##1}\hss})}%
        \else\ifx\@numtype\p@ren
                \def\m@kelabel##1{%
                       \setbox\z@=\hbox{11}%
                       (\hbox to\wd\z@{\hss\@numbertype{##1}\hss})}%
             \else\relax
             \fi
        \fi
   \fi
%%%%%%%%
   \list{\csname the\@enumctr\endcsname}%
      {\parsep\z@
       \itemsep\z@
       \partopsep\z@
       \topsep\z@
       \rightmargin\z@
       \leftmargin\z@
       \let\makelabel\m@kelabel
       \setbox\z@=\hbox{\makelabel{11}}%
       \labelsep1em
       \itemindent\wd\z@
       \advance\itemindent\labelsep
       \advance\itemindent1em
       \labelwidth\wd\z@
       \usecounter\@enumctr}%
   \fi
}%
\let\endenumerate\endlist

%%%
%%%
%%%
\newcommand\labelitemi{\textbullet}
\newcommand\labelitemii{\normalfont\bfseries \textendash}
\newcommand\labelitemiii{\textasteriskcentered}
\newcommand\labelitemiv{\textperiodcentered}

\def\itemize{%
  \ifnum \@itemdepth >\thr@@\@toodeep\else
    \advance\@itemdepth\@ne
    \edef\@itemitem{labelitem\romannumeral\the\@itemdepth}%
%%%%%%%%
   \list{\csname\@itemitem\endcsname}%
      {\parsep\z@
       \itemsep\z@
       \partopsep\z@
       \topsep\z@
       \rightmargin\z@
       \leftmargin\z@
       \def\makelabel##1{\hbox to1em{\hss##1\hss}}%
       \setbox\z@=\hbox{\makelabel{\@itemitem}}%
       \labelsep1em
       \itemindent\wd\z@
       \advance\itemindent\labelsep
       \advance\itemindent1em
       \labelwidth\wd\z@}
   \fi}%
\let\enditemize\endlist


%%%%%%%%%%%%%%%%%%%%%%%%%

\def\subequation{%
   \stepcounter{equation}%
   \edef\parent@equation{\the\c@equation}%
   \setcounter{equation}{0}%
   \def\theequation{\parent@equation.\@alph{\c@equation}}%
}%
\def\endsubequation{%
   \setcounter{equation}{\parent@equation}%
   \@ignoretrue
   }%

%%%%%%%%OLD FONT COMMANDS!
\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareRobustCommand*\cal{\@fontswitch\relax\mathcal}
\DeclareRobustCommand*\mit{\@fontswitch\relax\mathnormal}


%%%
%%%POFPOT
%%%
\def\POF#1{\ifPOFPOT\marginpar{\fboxsep=1pt\fbox{\bf F.\,#1}}\else\fi}
\def\POT#1{\ifPOFPOT\marginpar{\fboxsep=1pt\fbox{\bf T.\,#1}}\else\fi}
\marginparwidth 17mm%%
\marginparsep 2mm
\marginparpush .5\baselineskip

\def\pushtowall{\relax\leavevmode
\ifmmode\def\next{\mathpalette\mathpushw@ll}
\else\let\next\makepushw@ll \fi \next}
\def\finpushw@ll{\wd0=0pt \box0}
\def\makepushw@ll#1{\setbox0=\hbox{#1}\finpushw@ll}
\def\mathpushw@ll#1#2{\setbox0=\hbox{$\m@th#1{#2}$}\finpushw@ll}%%

%%%
%%%Underfull
%%%
\hbadness=4000
\vbadness=4000


%%%
%%%\,= CM \,
%%%
%\DeclareRobustCommand{\,}{\thinspace}%

%%%
%%%clubpenalty
%%%
\def\@item[#1]{%
  \if@noparitem
    \@donoparitem
  \else
    \if@inlabel
      \indent \par
    \fi
    \ifhmode
      \unskip\unskip \par
    \fi
    \if@newlist
      \if@nobreak
        \@nbitem
      \else
        \addpenalty\@beginparpenalty
        \addvspace\@topsep
        \addvspace{-\parskip}%
      \fi
    \else
      \addpenalty\@itempenalty
      \addvspace\itemsep
    \fi
    \global\@inlabeltrue
  \fi
  \everypar{%
    \@minipagefalse
    \global\@newlistfalse
    \if@inlabel
      \global\@inlabelfalse
      {\setbox\z@\lastbox
       \ifvoid\z@
         \kern-\itemindent
       \fi}%
      \box\@labels
      \penalty\z@
    \fi
    \if@nobreak
      \@nobreakfalse
      \clubpenalty\@M%%%2004/5/12 
    \else
      \clubpenalty\z@%%\@clubpenalty%%%2004/5/13 
      \everypar{}%
    \fi}%
  \if@noitemarg
    \@noitemargfalse
    \if@nmbrlist
      \refstepcounter\@listctr
    \fi
  \fi
  \sbox\@tempboxa{\makelabel{#1}}%
  \global\setbox\@labels\hbox{%
    \unhbox\@labels
    \hskip \itemindent
    \hskip -\labelwidth
    \hskip -\labelsep
    \ifdim \wd\@tempboxa >\labelwidth
      \box\@tempboxa
    \else
      \hbox to\labelwidth {\unhbox\@tempboxa}%
    \fi
    \hskip \labelsep}%
  \ignorespaces}



%%%%%%%%
\fboxsep3pt
\fboxrule0.4pt
\arrayrulewidth.4pt
\arraycolsep5pt
\parindent2em
\tabcolsep5pt
\hbadness4000
\vbadness4000
\def\thepage{\the\c@page}
\pagestyle{normalpage}
\raggedbottom

\endinput